0

I installed Posgresql version 10 (stable) through the source package (compiling manually) in the directory opt/pgv10/ .. on my OS LInux Debian Version 8.

I would like to use the HIPOPG extension 1, 2 to enable the creation of hypothetical indexes in postgresql.

I checked on document (link) you have to have the Dev package from postgresql, but I believe my installation does not have this (I think).

I tried to download the file extension .zip but can not proceed with the compilation and installation (with make and make install), because it gives the following message: make: pg_config: Command not found make: Nothing to be done for 'all'.

On .zip file that I downloaded has the files: HANGELOG.md hypopg - 1.0.0.sql hypopg.control hypopg_import.h META.json test typedefs.list expected hypopg.c hypopg_import.c Makefile README.md TODO.md

In tutorials on the internet, they talk to install via apt-get, but as I installed it manually I believe it will not work.

I tried to run the command: create extension hypopg; in psql program, but gave the message below even though I put the hypopg.control files in opt/pgv10/share/postgresql/extension/

ERROR: could not access file "$ libdir / hypopg": No such file or directory

Would anyone know how to manually install an extension and if it would have to have the -dev package and how would I install that package.

Best Regards Neto

1

THe solution was:

$ export PATH=/opt/pgv10/bin:$PATH
-- go to hypopg directory
$ USE_PGXS=1 make install

Best Regards Neto

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.